from conans import CMake, ConanFile


class GeneticImageConan(ConanFile):
    settings = "os", "compiler", "build_type", "arch"
    requires = "opencv/4.0.1@conan/stable", "boost/1.69.0@conan/stable", "spdlog/1.3.1@bincrafters/stable", "gtest/1.8.1@bincrafters/stable"
    generators = "cmake", "gcc", "txt"

    def imports(self):
        self.copy("*.dll", dst="bin", src="bin")  # From bin to bin
        self.copy("*.dylib*", dst="bin", src="lib")  # From lib to bin

    def build(self):
        cmake = CMake(self)
        cmake.configure()
        cmake.build()
